// @generated by hh_manual
async function example_snippet_wrapper(): Awaitable<void> {
  $items = keyset['a', 'b', 'c'];
  
  // Checking if a keyset contains a value.
  C\contains($items, 'a'); // true
  
  // Adding/removing items. These operations set $items to a modified copy,
  // and do not modify the original value.
  $items[] = 'd'; // keyset['a', 'b', 'c', 'd']
  $items[] = 'a'; // keyset['a', 'b', 'c', 'd']
  unset($items['b']); // keyset['a', 'c', 'd']
  
  // Getting the length.
  C\count($items); // 3
  
  // Iterating.
  foreach ($items as $item) {
    echo $item;
  }
  
  // Equality checks. === returns false if the order does not match.
  keyset[1] === keyset[1]; // true
  keyset[1, 2] === keyset[2, 1]; // false
  Keyset\equal(keyset[1, 2], keyset[2, 1]); // true
  
  // Combining keysets.
  Keyset\union(keyset[1, 2], keyset[2, 3]); // keyset[1, 2, 3]
  
  // Converting from an Iterable.
  keyset(vec[1, 2, 1]); // keyset[1, 2]
  keyset(Vector { 20, 21 }); // keyset[20, 21]
  keyset(dict['key1' => 'value1']); // keyset['value1']
  
  // Type checks.
  $items is keyset<_>; // true
}
